Bug 499589 - virt-manager console widget doesn't know how to collect a 'username' for authentication with VNC
virt-manager console widget doesn't know how to collect a 'username' for auth...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-07 07:10 EDT by Daniel Berrange
Modified: 2009-06-04 17:18 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.7.0-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 17:18:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2009-05-07 07:10:56 EDT
Description of problem:
When connecting to a VNC server with Digest-MD5 auth, it is necccessary to collect a username and password. virt-manager only knows how to collect a password, so it drops the VNC connection

cf, virt-manager test cases here:

https://fedoraproject.org/wiki/QA:Testcase_Virtualization_VNC_Authentication_Digest_MD5#Results

Version-Release number of selected component (if applicable):
0.7.0

How reproducible:
Always

Steps to Reproduce:
1. Connect to a VNC server using SASL/Digest-MD5
2.
3.
  
Actual results:
Drops VNC connection

Expected results:
Prompts for username and password, and then connects

Additional info:
Comment 1 Daniel Berrange 2009-05-07 14:24:09 EDT
Fixed this upstream, need to backport to 0.7.0

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/5b61bd10a66b
Comment 2 Mark McLoughlin 2009-05-21 11:02:58 EDT
Pushing an update to updates-test with Dan's fix for this; please add a comment to bodhi if you test this

* Thu May 21 2009 Mark McLoughlin <markmc@redhat.com> - 0.7.0-5.fc11
- Fix 'opertaing' typo in 'New VM' dialog (#495128)
- Allow details window to resize again (#491683)
- Handle collecting username for vnc authentication (#499589)
- Actually handle arch config when creating a VM (#499145)
- Log libvirt capabilities at startup to aid debugging (#500337)
Comment 3 Fedora Update System 2009-05-21 11:09:01 EDT
virt-manager-0.7.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/virt-manager-0.7.0-5.fc11
Comment 4 Fedora Update System 2009-05-25 17:11:58 EDT
virt-manager-0.7.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5410
Comment 5 Fedora Update System 2009-06-04 17:17:50 EDT
virt-manager-0.7.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.